releasing package bti version 033-1
[debian/bti.git] / debian / changelog
1 bti (033-1) unstable; urgency=low
2
3   * New upstream release:
4     - fixes "bti should terminate with an error if the --config file can't
5       be read" (Closes: #669192)
6     - fixes "bti no longer works with Twitter and loses posted tweets"
7       by adjusting to the Twitter API v 1.1
8       (Closes: #714032)
9   * Refresh manpage-debian.patch (offset).
10   * Add build dependency on libjson-c-dev.
11   * Add patch to handle Debian's libjson-c.
12   * Add a patch to fix a spelling mistake in the manpage.
13   * Update OAuth instructions on README.Debian. (Closes: #706104)
14   * Update long description (direct messages are supported now).
15
16  -- gregor herrmann <gregoa@debian.org>  Fri, 28 Jun 2013 01:55:26 +0200
17
18 bti (032-2) unstable; urgency=low
19
20   * Update Vcs-* headers.
21   * debian/watch: update after github URL schema change.
22   * Build depend on libcurl4-gnutls-dev instead of libcurl4-nss-dev (cf.
23     #650138) and make build dependency on liboauth-dev versioned just in
24     case). (LP: #1072720)
25   * Remove version from bash-completion build dependency, nothing older in
26     the archive.
27   * debian/copyright: switch formatting to Copyright-Format 1.0.
28   * Update years of packaging copyright.
29   * Set Standards-Version to 3.9.4 (no changes).
30   * Bump debhelper compatibility level to 9.
31   * debian/rules: make build non-silent.
32
33  -- gregor herrmann <gregoa@debian.org>  Mon, 06 May 2013 21:27:22 +0200
34
35 bti (032-1) unstable; urgency=low
36
37   * New upstream release
38   * debian/watch: use github redirector, there are no released tarballs at the
39     moment.
40   * The tarball from github doesn't ship a configure script; use
41     dh-autoreconf.
42   * Refresh patch manpage-debian.patch (offset), drop remaining patches (all
43     included upstream).
44
45  -- gregor herrmann <gregoa@debian.org>  Sat, 03 Dec 2011 01:25:55 +0100
46
47 bti (031-4) unstable; urgency=low
48
49   * Build-depend on libcurl4-nss-dev instead of libcurl4-gnutls-dev; they
50     conflict with each other, and liboauth-dev now requires the former.
51     (Fixes a not-yet-detected FTBFS.)
52
53  -- gregor herrmann <gregoa@debian.org>  Sat, 26 Nov 2011 23:53:14 +0100
54
55 bti (031-3) unstable; urgency=low
56
57   * Add patch to output the correct configfile name (identi.ca/OAuth/access
58     tokens). Thanks to Vincent Lefevre for the bug report; closes: #646681.
59
60  -- gregor herrmann <gregoa@debian.org>  Sat, 05 Nov 2011 17:48:05 +0100
61
62 bti (031-2) unstable; urgency=low
63
64   * New patch debian/patches/identi.ca-oauth.patch: change identica_* OAuth
65     URI's to point to https instead of http (closes: #602507).
66   * Set Standards-Version to 3.9.2 (no changes).
67   * Improve long description.
68
69  -- gregor herrmann <gregoa@debian.org>  Tue, 25 Oct 2011 20:35:48 +0200
70
71 bti (031-1) unstable; urgency=low
72
73   * New upstream release:
74     - addresses "bti doesn't warn if the password is incorrect": check server
75       replies in non-background mode, only in non-OAuth mode
76       (partly solves #602502)
77
78  -- gregor herrmann <gregoa@debian.org>  Tue, 22 Mar 2011 17:18:10 +0100
79
80 bti (030-1) unstable; urgency=low
81
82   * New upstream release.
83   * Switch to debhelper 8.
84
85  -- gregor herrmann <gregoa@debian.org>  Fri, 18 Mar 2011 12:32:44 +0100
86
87 bti (029-2) unstable; urgency=low
88
89   * Upload to unstable.
90
91  -- gregor herrmann <gregoa@debian.org>  Mon, 07 Feb 2011 18:32:28 +0100
92
93 bti (029-1) experimental; urgency=low
94
95   * New upstream release: includes fixes for
96     + "the --dry-run option has no effect (tweets get posted anyway)
97        with OAuth" (closes: #608608)
98     + "--replyto doesn't work with OAuth" (closes: #608112)
99   * laconi.ca was renamed to StatusNet (in August 2009); adjust package
100     description and add a patch to change the name in the manpage and the
101     example config; thanks to Julien Valroff for the bug report
102     (closes: #605407).
103   * Drop patch 0001-Fixing-Identi.ca-s-OAuth-request_token-URI.patch, applied
104     upstream.
105   * Refresh remaining patches.
106   * debian/copyright: update years of upstream and packaging copyright; update
107     formatting.
108   * Don't install README anymore.
109   * Upload to experimental because of the freeze.
110
111  -- gregor herrmann <gregoa@debian.org>  Fri, 14 Jan 2011 02:43:10 +0100
112
113 bti (028-2) unstable; urgency=low
114
115   * Add patch 0001-Fixing-Identi.ca-s-OAuth-request_token-URI.patch by Amir
116     Mohammad Saied which adds the oauth_callback parameter to the identi.ca
117     request_token URI in order to make OAuth work with identi.ca
118     (closes: #602507).
119   * Minor fixes in README.Debian.
120
121  -- gregor herrmann <gregoa@debian.org>  Wed, 24 Nov 2010 18:03:23 +0100
122
123 bti (028-1) unstable; urgency=low
124
125   * New upstream release:
126     - support for replying to notices
127     - adds OAuth support for both twitter and identi.ca (closes: #588235)
128     - split --background from --bash, and make the latter imply the former
129   * Refresh manpage-debian.patch.
130   * Set Standards-Version to 3.9.1 (no changes).
131   * Add build dependency on liboauth-dev.
132   * debian/rules: switch order of dh arguments (preparation for dh8).
133   * debian/copyright: update years of upstream copyright.
134   * Add README.Debian about OAuth usage.
135
136  -- gregor herrmann <gregoa@debian.org>  Wed, 03 Nov 2010 23:00:59 +0100
137
138 bti (026-1) unstable; urgency=low
139
140   * Bump build dependency on bash-completion (needed for --with
141     bash-completion in debian/rules).
142
143   * New upstream release.
144   * Refresh patch manpage-debian.patch and DEP3 patch headers.
145   * debian/copyright: refresh DEP5 header, update years of packaging
146     copyright.
147   * Set Standards-Version to 3.8.4 (no changes).
148   * Convert to source format 3.0 (quilt). Remove quilt framework.
149     Lower debhelper dependency.
150
151  -- gregor herrmann <gregoa@debian.org>  Wed, 19 May 2010 21:41:04 +0200
152
153 bti (025-1) unstable; urgency=low
154
155   * New upstream release: 
156     - set default host to twitter (closes: #563098)
157     - mention correct host in prompts (closes: #563099)
158
159  -- gregor herrmann <gregoa@debian.org>  Sun, 10 Jan 2010 01:29:11 +0100
160
161 bti (024-1) unstable; urgency=low
162
163   * New upstream release:
164     - do not display password while user types it (LP: #386525)
165     - disable echo when reading the password
166     - add laconica group support
167   * debian/control: add Homepage field and adjust long description.
168   * Use "--with bash-completion" in debian/rules to install bash-completion
169     snippet; bump build dependencies on debhelper and bash-completion in
170     debian/control.
171
172  -- gregor herrmann <gregoa@debian.org>  Wed, 02 Dec 2009 17:09:28 +0100
173
174 bti (023-2) unstable; urgency=low
175
176   * Build depend on libreadline-dev instead of libreadline5-dev, thanks to
177     Matthias Klose for the pointer.
178   * Set Standards-Version to 3.8.3 (no changes).
179   * Add debian/README.source to document quilt usage.
180   * Simplify debian/rules, adjust versioned build dependencies on debhelper
181     and quilt in debian/control.
182   * Use dh_bash-completion for installing the completion snippet; adjust
183     debian/rules, add a versioned build dependency on bash-completion.
184
185  -- gregor herrmann <gregoa@debian.org>  Sun, 13 Sep 2009 16:14:08 +0200
186
187 bti (023-1) unstable; urgency=low
188
189   * New upstream release, main changes:
190     - new 'verbose' mode
191     - SSL also for twitter
192   * debian/copyright: add new additional copyright holder.
193   * Refresh patch manpage-debian.patch.
194   * debian/control: mention additional actions in long description.
195
196  -- gregor herrmann <gregoa@debian.org>  Thu, 28 May 2009 17:37:08 +0200
197
198 bti (022-1) unstable; urgency=low
199
200   * New upstream release, main changes:
201     - support for custim laconi.ca instances
202     - use SSL for identi.ca
203   * debian/copyright: add additional copyright holder.
204
205  -- gregor herrmann <gregoa@debian.org>  Wed, 06 May 2009 23:05:42 +0200
206
207 bti (021-1) unstable; urgency=low
208
209   * New upstream release, contains changes in autoconf tools:
210     - simplify debian/rules and debian/install
211     - replace xmtlo with xsltproc, docbook-xsl, docbook-xml in debian/control
212
213  -- gregor herrmann <gregoa@debian.org>  Wed, 15 Apr 2009 17:12:53 +0200
214
215 bti (020-1) unstable; urgency=low
216
217   * New upstream release:
218     - remove patch getopt.patch, included upstream
219     - remove manpage for bti-shrink-urls from debian/, included upstream
220     - upstream uses autoconf, adjust debian/rules and debian/install, remove
221       debian/manpages
222
223  -- gregor herrmann <gregoa@debian.org>  Tue, 14 Apr 2009 20:40:24 +0200
224
225 bti (017-1) unstable; urgency=low
226
227   * New upstream release.
228   * Add build-dependency on libpcre3-dev.
229   * Refresh patch manpage-debian.patch.
230   * debian/install: add new bti-shrink-urls.
231   * debian/copyright: add information about bti-shrink-urls.
232   * Create a manpage for bti-shrink-urls.
233   * debian/rules: skip dh_auto_install (upstream Makefile now has an install
234     target which is not easier to use than the manual installation we've been
235     using).
236   * Add a new patch getopt.patch to make the new commandline options available
237     in bti.c.
238
239  -- gregor herrmann <gregoa@debian.org>  Tue, 24 Mar 2009 20:47:41 +0100
240
241 bti (015-1) unstable; urgency=low
242
243   * New upstream release; from the RELEASE-NOTES:
244     "--action support, bti now can output data from the twitter
245     and identica servers".
246   * Add build dependency on libxml2-dev.
247   * Refresh patch manpage-debian.patch.
248   * Set Standards-Version to 3.8.1 (no changes).
249
250  -- gregor herrmann <gregoa@debian.org>  Thu, 12 Mar 2009 17:17:11 +0100
251
252 bti (014-1) unstable; urgency=low
253
254   * New upstream release.
255
256  -- gregor herrmann <gregoa@debian.org>  Sat, 14 Feb 2009 18:36:36 +0100
257
258 bti (013-1) unstable; urgency=low
259
260   * New upstream release.
261   * Use dh_install instead of dh_bash-completion to install the bash
262     completion snippet in order to work around a problem on the amd64 buildd
263     (closes: #513115). Drop build dependency on bash-completion.
264
265  -- gregor herrmann <gregoa@debian.org>  Thu, 05 Feb 2009 20:54:54 +0100
266
267 bti (012-1) unstable; urgency=low
268
269   * New upstream release.
270   * Install the new bash completion script; add bash-completion to
271     Build-Depends and Suggests.
272   * Refresh patch manpage-debian.patch.
273
274  -- gregor herrmann <gregoa@debian.org>  Sun, 25 Jan 2009 00:52:13 +0100
275
276 bti (011-1) unstable; urgency=low
277
278   * New upstream release.
279   * Add build dependency on libreadline5-dev.
280
281  -- gregor herrmann <gregoa@debian.org>  Tue, 20 Jan 2009 17:05:57 +0100
282
283 bti (010-1) unstable; urgency=low
284
285   * New upstream release, includes a new --proxy option and honours the
286     http_proxy environment variable (closes: #511087).
287   * Refresh patch manpage-debian.patch.
288
289  -- gregor herrmann <gregoa@debian.org>  Mon, 12 Jan 2009 22:46:19 +0100
290
291 bti (008-1) unstable; urgency=low
292
293   * New upstream release (due to december twitter server change).
294   * Update years of packaging copyright.
295
296  -- gregor herrmann <gregoa@debian.org>  Sat, 10 Jan 2009 06:01:45 +0100
297
298 bti (007-1) unstable; urgency=low
299
300   * New upstream release.
301
302  -- gregor herrmann <gregoa@debian.org>  Sun, 26 Oct 2008 23:36:48 +0100
303
304 bti (006-1) unstable; urgency=low
305
306   * Initial release (Closes: #503241)
307
308  -- gregor herrmann <gregoa@debian.org>  Fri, 24 Oct 2008 20:53:07 +0200